use crate::rcore::*;

pub trait ExternalPoints<'a, Ctx: Context<'a>, T: MentionableBase<'a, Ctx>> {
    fn ex_points_typed(mentionable: &T, points: &mut impl PointsVisitor<'a, Ctx>);
}

pub trait ExternalPointsProxy<'a, Ctx: Context<'a>, T>: FactoryProxy<'a, Ctx>
where
    Self::F: Factory<'a, Ctx>,
{
    fn exp_points_typed(mentionable: &T, points: &mut impl PointsVisitor<'a, Ctx>);
}
